Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetPotentialOwnersForTaskCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Map<Long,List<OrganizationalEntity>>>
          org.jbpm.services.task.commands.GetPotentialOwnersForTaskCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Map<Long,List<OrganizationalEntity>>>, Command<Map<Long,List<OrganizationalEntity>>>

    public class GetPotentialOwnersForTaskCommand

extends TaskCommand<Map<Long,List<OrganizationalEntity>>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetPotentialOwnersForTaskCommand()`
`GetPotentialOwnersForTaskCommand(List<Long> taskIds)`

Method Summary
`Map<Long,List<OrganizationalEntity>>` | `execute(org.kie.internal.command.Context cntxt)`
`List<Long>` | `getTaskIds()`
`void` | `setTaskIds(List<Long> taskIds)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPotentialOwnersForTaskCommand

    public GetPotentialOwnersForTaskCommand()

### GetPotentialOwnersForTaskCommand

    public GetPotentialOwnersForTaskCommand(List<Long> taskIds)

Method Detail

### getTaskIds

    public List<Long> getTaskIds()

### setTaskIds

    public void setTaskIds(List<Long> taskIds)

### execute

    public Map<Long,List<OrganizationalEntity>> execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.